DROP TABLE lodowki;

CREATE TABLE lodowki
(
  id NUMBER(5),
  model VARCHAR2(50),
  klasa VARCHAR2(5),
  pojemnosc NUMBER(4),
  energia NUMBER(4)
);

DROP SEQUENCE lod_seq;
CREATE SEQUENCE lod_seq;

CREATE OR REPLACE TRIGGER lod_trigg
BEFORE INSERT ON lodowki
FOR EACH ROW
BEGIN
  :new.id := lod_seq.nextval;
END;
/
show err

INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LI7 FF2 W B','A++',278,246);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LI8 FF2 W','A++',305,255);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LR6S2W','A++',271,209);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LI8 FF2O K B H','A++',305,255);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LR6 S1 X','A+',271,266);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LR8 S1 X','A+',339,309);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit LI70 FF1 X','A+',274,310);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Indesit XI9 T1O X H','A+',369,324);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB41J7839S4/EF','A+++',406,191);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB31FERNCSS','A++',304,257);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB33J3230WW','A+',328,280);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB30J3230SA','A+',311,272);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB37K63612C/EF','A+',367,314);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB31FERNBSA','A+++',304,172);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB36J8799S4/EF','A+++',350,173);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB37J5029SS','A+++',365,173);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB33J8035SR/EF','A++',335,255);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Samsung RB37J5345SS','A++',367,259);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko CNA365E30ZGB','A++',365,262);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko CNA400E30ZDX','A++',400,273);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko CNE520E23ZDX','A+',520,403);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko CNA365E20ZX','A+',365,336);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko CNE520EE0ZGW','A+++',520,211);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Beko RCNA365E40X','A+++',365,176);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGF 39PI45','A+++',343,180);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN 39AI35','A++',366,273);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN36XW24E','A+',287,280);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN39XI36','A++',355,268);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN36VL25E','A+',287,280);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN36XL35','A++',324,260);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN39XW24E','A+',315,309);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN33NL20','A+',279,279);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN39LB20E','A+',315,309);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN39XL24E','A+',315,309);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN36VI32','A++',319,239);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN39LB35','A++',366,273);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('Bosh KGN 36XL30','A++',320,258);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('LG GBB60NSYFE','A+++',343,178);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('LG GBB59PZFFB','A+++',318,174);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('BEKO CNE520EE0ZGW','A+++',454,211);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('LG GBB60NSYQE','A+++',343,143);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('WHIRLPOOL BSNF8999PB','A+++',296,153);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('GORENJE ONRK193CO','A+++',307,168);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('LG GBB530NSCQE','A+++',343,133);
INSERT INTO lodowki (model, klasa, pojemnosc, energia) VALUES ('GORENJE ORK193BK','A+++',322,154);

COMMIT;

SELECT klasa, count(*) FROM lodowki GROUP BY klasa;
